Bug 1468555 - (CVE-2017-10988) CVE-2017-10988 freeradius: Incorrectly created 'signed' attributes
CVE-2017-10988 freeradius: Incorrectly created 'signed' attributes
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170717,reported=2...
: Security
Depends On: 1471884
Blocks: 1468570
  Show dependency treegraph
 
Reported: 2017-07-07 08:01 EDT by Adam Mariš
Modified: 2017-08-02 05:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: freeradius 3.0.15
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 08:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.57 KB, patch)
2017-07-07 08:03 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-07 08:01:09 EDT
Attributes of data type 'signed' would sometimes be created from uninitialized memory, instead of from the received packet. There is only one 'signed' attribute, which is in the WiMAX dictionaries, and it is used only in certain limited situations.

The security impact is minimal.

Affected versions: 3.0.0 through 3.0.14, inclusive.
Comment 1 Adam Mariš 2017-07-07 08:01:15 EDT
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken
Comment 2 Adam Mariš 2017-07-07 08:03 EDT
Created attachment 1295266 [details]
Proposed patch
Comment 4 Dhiru Kholia 2017-07-17 11:04:21 EDT
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471884]
Comment 6 Tomas Hoger 2017-07-18 03:42:50 EDT
This CVE was rejected:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10988

** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: none. Reason: This candidate was withdrawn by its CNA. Further investigation showed that it was not a security issue. Notes: none.
Comment 7 Dhiru Kholia 2017-08-02 05:42:52 EDT
External References:

http://freeradius.org/security/fuzzer-2017.html

Note You need to log in before you can comment on or make changes to this bug.